## org.apache.taglibs.standard.extra.spath
Class SPathParser

    java.lang.Object
      org.apache.taglibs.standard.extra.spath.SPathParser

All Implemented Interfaces:
  SPathParserConstants

    public class SPathParser

extends Object
implements SPathParserConstants

Field Summary
`Token` `jj_nt`
`boolean` `lookingAhead`
`Token` `token`
`SPathParserTokenManager` `token_source`

Fields inherited from interface org.apache.taglibs.standard.extra.spath.SPathParserConstants
`AT, COLON, COMBINING_CHAR, DASH, DEFAULT, DIGIT, DOT, END_BRACKET, EOF, EQUALS, EXTENDER, LETTER, LITERAL, NCNAME, NCNAMECHAR, NSWILDCARD, QNAME, SLASH, STAR, START_BRACKET, tokenImage, UNDERSCORE`

Constructor Summary
`SPathParser(InputStream stream)`
`SPathParser(Reader stream)`
`SPathParser(SPathParserTokenManager tm)`
`SPathParser(String x)`

Method Summary
`AbsolutePath` `absolutePath()`
`Predicate` `attributePredicate()`
`void` `disable_tracing()`
`void` `enable_tracing()`
`Path` `expression()`
`ParseException` `generateParseException()`
`Token` `getNextToken()`
`Token` `getToken(int index)`
`static void` `main(String[] args)` Simple command-line parser interface, primarily for testing.
`String` `nameTest()`
`Predicate` `predicate()`
`void` `ReInit(InputStream stream)`
`void` `ReInit(Reader stream)`
`void` `ReInit(SPathParserTokenManager tm)`
`RelativePath` `relativePath()`
`Step` `step()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### token_source

    public SPathParserTokenManager token_source

### token

    public Token token

### jj_nt

    public Token jj_nt

### lookingAhead

    public boolean lookingAhead

Constructor Detail

### SPathParser

    public SPathParser(String x)

### SPathParser

    public SPathParser(InputStream stream)

### SPathParser

    public SPathParser(Reader stream)

### SPathParser

    public SPathParser(SPathParserTokenManager tm)

Method Detail

### main

    public static void main(String[] args)
                     throws ParseException

  Simple command-line parser interface, primarily for testing.

  Throws:
    `ParseException`

### expression

    public final Path expression()
                          throws ParseException

  Throws:
    `ParseException`

### absolutePath

    public final AbsolutePath absolutePath()
                                    throws ParseException

  Throws:
    `ParseException`

### relativePath

    public final RelativePath relativePath()
                                    throws ParseException

  Throws:
    `ParseException`

### step

    public final Step step()
                    throws ParseException

  Throws:
    `ParseException`

### nameTest

    public final String nameTest()
                          throws ParseException

  Throws:
    `ParseException`

### predicate

    public final Predicate predicate()
                              throws ParseException

  Throws:
    `ParseException`

### attributePredicate

    public final Predicate attributePredicate()
                                       throws ParseException

  Throws:
    `ParseException`

### ReInit

    public void ReInit(InputStream stream)

### ReInit

    public void ReInit(Reader stream)

### ReInit

    public void ReInit(SPathParserTokenManager tm)

### getNextToken

    public final Token getNextToken()

### getToken

    public final Token getToken(int index)

### generateParseException

    public final ParseException generateParseException()

### enable_tracing

    public final void enable_tracing()

### disable_tracing

    public final void disable_tracing()

Copyright © 2008 Mort Bay Consulting. All Rights Reserved.